function noise_grade=noise_suspection_grading(entropyNoise,fibrillation_noise_flag,HRV_std_vs_mean,PVC_factor,Low_freq_energy_vs_high,Low_freq_energy,High_freq_energy,ibi,val,peakInds,HR,AA)
noise_grade=0;
a=max(max(abs(AA)));
            if HR<35
                 noise_grade=noise_grade+1;                         
            end
            if numel(a)>0
                if (a>8000)|| (a<300)
                 noise_grade=noise_grade+1;         
                end
            end
            if  (mean(entropyNoise)>0.9)
                 noise_grade=noise_grade+1;         
            end
            if  (max(entropyNoise)>1.4)
                 noise_grade=noise_grade+1;         
            end
             if  (HRV_std_vs_mean >0.26)&&(HR<137)
                 noise_grade=noise_grade+1;         
             end
            if ( std(ibi(:,2)) >0.46)
                 noise_grade=noise_grade+1;                         
            end
           if ((PVC_factor>0.045) && (PVC_factor<0.21))
                 noise_grade=noise_grade+1;                                        
           end                         
             if fibrillation_noise_flag && (HRV_std_vs_mean >0.26) && ( std(ibi(:,2)) >0.1) && (PVC_factor>0.03) && (PVC_factor<0.3)&& (Low_freq_energy_vs_high>0.2) && (Low_freq_energy_vs_high<1.05)
                 noise_grade=noise_grade+1;                                        
             end
              if (High_freq_energy/Low_freq_energy>0.35)
                 noise_grade=noise_grade+1;                                        
              end
             if (numel(peakInds)>5)
                 if abs(std(val(peakInds))/mean(val(peakInds)))>4.3
                 noise_grade=noise_grade+1;                                                             
                 end
             end
